From: <a href="/blend/av.cgi?id=535">Triciattx</a><BR>
Date: 25 April 2004<P>

Thanks Chris- I'm sure a few of us can identify with 3-way tie!  It's been 4 months now, and I've started dating again, but still have moments of weakness...remembering.
<HR>
From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 25 April 2004<P>

triciattx -- <a href="/blend/wv.cgi?id=2004.04.24.11.05.31723">3-Way Tie</a> -- elegantly simple, simply elegant
<HR>
From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 25 April 2004<P>

Kevin -- <a href="/blend/wv.cgi?id=2004.04.23.21.53.10408">sunshine</a> -- I like this, one of the reasons we love people is not just for who they are but for all that they bring with them, as you so eloquently point out, in "the parts of your life that I'll never see myself"
<HR>